Libosmium: osmium::Relation Class Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Private Member Functions | Friends | List of all members
osmium::Relation Class Reference

`#include <relation.hpp>`

Inheritance diagram for osmium::Relation:
[legend]
Collaboration diagram for osmium::Relation:
[legend]

## Public Member Functions
RelationMemberList & | members ()
| Get a reference to the member list.
const RelationMemberList & | members () const
| Get a const reference to the member list.
const RelationMemberList & | cmembers () const
| Get a const reference to the member list.
Public Member Functions inherited from osmium::OSMObject
object_id_type | id () const noexcept
| Get ID of this object.
unsigned_object_id_type | positive_id () const noexcept
| Get absolute value of the ID of this object.
OSMObject & | set_id (object_id_type id) noexcept
OSMObject & | set_id (const char *id)
bool | deleted () const noexcept
| Is this object marked as deleted?
bool | visible () const noexcept
| Is this object marked visible (ie not deleted)?
OSMObject & | set_deleted (bool deleted) noexcept
OSMObject & | set_visible (bool visible) noexcept
OSMObject & | set_visible (const char *visible)
object_version_type | version () const noexcept
| Get version of this object.
OSMObject & | set_version (object_version_type version) noexcept
OSMObject & | set_version (const char *version)
changeset_id_type | changeset () const noexcept
| Get changeset id of this object.
OSMObject & | set_changeset (changeset_id_type changeset) noexcept
OSMObject & | set_changeset (const char *changeset)
user_id_type | uid () const noexcept
| Get user id of this object.
OSMObject & | set_uid (user_id_type uid) noexcept
OSMObject & | set_uid_from_signed (signed_user_id_type uid) noexcept
OSMObject & | set_uid (const char *uid)
bool | user_is_anonymous () const noexcept
| Is this user anonymous?
osmium::Timestamp | timestamp () const noexcept
| Get timestamp when this object last changed.
OSMObject & | set_timestamp (const osmium::Timestamp &timestamp) noexcept
OSMObject & | set_timestamp (const char *timestamp)
const char * | user () const noexcept
| Get user name for this object.
void | clear_user () noexcept
| Clear user name.
const TagList & | tags () const
| Get the list of tags for this object.
const char * | get_value_by_key (const char *key, const char *default_value=nullptr) const noexcept
OSMObject & | set_attribute (const char *attr, const char *value)
void | remove_tags () noexcept
iterator | begin ()
iterator | end ()
const_iterator | cbegin () const
const_iterator | cend () const
const_iterator | begin () const
const_iterator | end () const
template<typename T>
osmium::memory::ItemIteratorRange< T > | subitems ()
template<typename T>
osmium::memory::ItemIteratorRange< const T > | subitems () const
template<typename T>
t_iterator< T > | begin ()
template<typename T>
t_iterator< T > | end ()
template<typename T>
t_const_iterator< T > | cbegin () const
template<typename T>
t_const_iterator< T > | cend () const
template<typename T>
t_const_iterator< T > | begin () const
template<typename T>
t_const_iterator< T > | end () const
Public Member Functions inherited from osmium::OSMEntity
| OSMEntity (osmium::memory::item_size_type size, osmium::item_type type)
bool | type_is_in (osmium::osm_entity_bits::type entity_bits) const
Public Member Functions inherited from osmium::memory::Item
| Item (const Item &)=delete
Item & | operator= (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (Item &&)=delete
| ~Item () noexcept=default
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (const bool removed) noexcept
diff_indicator_type | diff () const noexcept
char | diff_as_char () const noexcept
void | set_diff (const diff_indicator_type diff) noexcept

## Static Public Member Functions
static constexpr bool | is_compatible_to (osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::OSMObject
static constexpr bool | is_compatible_to (osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::OSMEntity
static constexpr bool | is_compatible_to (osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::memory::Item
static constexpr bool | is_compatible_to (osmium::item_type) noexcept

## Static Public Attributes
static constexpr osmium::item_type | itemtype = osmium::item_type::relation

## Private Member Functions
| Relation () noexcept

## Friends
template<typename TDerived, typename T>
class | osmium::builder::OSMObjectBuilder

## Additional Inherited Members
Public Types inherited from osmium::OSMObject
using | iterator = osmium::memory::CollectionIterator<Item>
using | const_iterator = osmium::memory::CollectionIterator<const Item>
template<typename T>
using | t_iterator = osmium::memory::ItemIterator<T>
template<typename T>
using | t_const_iterator = osmium::memory::ItemIterator<const T>
Protected Member Functions inherited from osmium::OSMObject
| OSMObject (osmium::memory::item_size_type size, osmium::item_type type)
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type{}) noexcept
Item & | set_type (const item_type item_type) noexcept

## Constructor & Destructor Documentation

## ◆ Relation()

osmium::Relation::Relation | ( |  | ) |
| inlineprivatenoexcept

## Member Function Documentation

## ◆ cmembers()

const RelationMemberList & osmium::Relation::cmembers | ( |  | ) | const
| inline

Get a const reference to the member list.

## ◆ is_compatible_to()

constexpr bool osmium::Relation::is_compatible_to | ( | osmium::item_type | t | ) |
| inlinestaticconstexprnoexcept

## ◆ members() [1/2]

RelationMemberList & osmium::Relation::members | ( |  | ) |
| inline

Get a reference to the member list.

## ◆ members() [2/2]

const RelationMemberList & osmium::Relation::members | ( |  | ) | const
| inline

Get a const reference to the member list.

## Friends And Related Symbol Documentation

## ◆ osmium::builder::OSMObjectBuilder

template<typename TDerived, typename T>

friend class osmium::builder::OSMObjectBuilder
| friend

## Member Data Documentation

## ◆ itemtype

osmium::item_type osmium::Relation::itemtype = osmium::item_type::relation
| staticconstexpr

The documentation for this class was generated from the following file:

- include/osmium/osm/relation.hpp